AlertRoutingRules
List alert routing rules
List alert routing rules. Note: If you are an advanced alert routing user, you should use the Alert Routes endpoint instead of this endpoint. If you don’t know whether you are an advanced user, please contact Rootly customer support.
GET
/
v1
/
alert_routing_rules
List alert routing rules
curl --request GET \
--url https://api.rootly.com/v1/alert_routing_rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rootly.com/v1/alert_routing_rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rootly.com/v1/alert_routing_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "alert_routing_rules",
"attributes": {
"name": "<string>",
"enabled": true,
"alerts_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"conditions": [
{
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
]
}
],
"destination": {
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"condition_groups": [
{
"position": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditions": [
{
"property_field_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditionable_type": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Was this page helpful?
⌘I
List alert routing rules
